org.eclipse.team.ui.synchronize

## Class WorkspaceScope

- java.lang.Object
- - org.eclipse.team.ui.synchronize.AbstractSynchronizeScope
  - - org.eclipse.team.ui.synchronize.WorkspaceScope

All Implemented Interfaces:
  ISynchronizeScope

    public class WorkspaceScope
    extends AbstractSynchronizeScope

A synchronize scope whose roots are the workspace.

Since:
  3.0
Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

### Fields inherited from interface org.eclipse.team.ui.synchronize.ISynchronizeScope

`NAME, ROOTS`

### Constructor Summary

Constructors
Constructor and Description
`WorkspaceScope()` Create the resource scope that indicates that the subscriber roots should be used

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()` Return the name of the scope
`IResource[]` `getRoots()` Return the root resources that define this scope.

### Methods inherited from class org.eclipse.team.ui.synchronize.AbstractSynchronizeScope

`addPropertyChangeListener, contains, createScope, dispose, firePropertyChangedEvent, fireRootsChanges, getMappings, init, removePropertyChangeListener, saveScope, saveState`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WorkspaceScope

    public WorkspaceScope()

Create the resource scope that indicates that the subscriber roots should be used

### Method Detail

#### getName

    public String getName()

Description copied from interface: `ISynchronizeScope`
Return the name of the scope

Returns:
  the name of the scope

#### getRoots

    public IResource[] getRoots()

Description copied from interface: `ISynchronizeScope`
Return the root resources that define this scope. A return value of `null` indicates that the participant should use its default set of resources.

Returns:
  the root resources or `null`